org.apache.tomcat.util.descriptor.web

## Class ContextEnvironment

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.ResourceBase
  - - org.apache.tomcat.util.descriptor.web.ContextEnvironment

- All Implemented Interfaces:
    Serializable, Injectable

      public class ContextEnvironment
      extends ResourceBase

  Representation of an application environment entry, as represented in an `<env-entry>` element in the deployment descriptor.
  Author:
    Craig R. McClanahan
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextEnvironment()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `boolean` | `getOverride()`
    `String` | `getValue()`
    `int` | `hashCode()`
    `void` | `setOverride(boolean override)`
    `void` | `setValue(String value)`
    `String` | `toString()` Return a String representation of this object.

    - ### Methods inherited from class org.apache.tomcat.util.descriptor.web.ResourceBase

      `addInjectionTarget, getDescription, getInjectionTargets, getLookupName, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setLookupName, setName, setNamingResources, setProperty, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextEnvironment

          public ContextEnvironment()

  - ### Method Detail

    - #### getOverride

          public boolean getOverride()

    - #### setOverride

          public void setOverride(boolean override)

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue(String value)

    - #### toString

          public String toString()

      Return a String representation of this object.
      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ResourceBase`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `ResourceBase`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.